<?
  class Redirect{
    var $__Seconds = 600;
    var $__Url;
    var $__TimeTag;
    var $__CountTag;
    var $__Filename = 'redirect.txt';

    function Redirect($Seconds = 600){  // 10 Mins
      $this->__Seconds = $Seconds;
    }

    // Set Next Page
    function SetPage($Url){
      $this->__Url = $Url;
    }

    // Set Timer Tag (where to show info)
    function SetTimeTag($Name){
      $this->__TimeTag = $Name;
    }
	
	// Set Prod Left (where to show info)
    function SetProdLeft($Num){
      $this->__ProdLeft = $Num;
    }

    // Set Sells Count Tag (where to show info)
    function SetCountTag($Name){
      $this->__CountTag = $Name;
    }

    // Set Filename to save counter
    function SetFilename($filename){
      $this->__Filename = $filename;
    }

    // Get number of sells
    function GetCount(){
      $r = 0;
      if(is_readable($this->__Filename)){
        if (!$handle = @fopen($this->__Filename, 'r'))
          echo "Cannot open file.";
        else {
          $r = intval(@fread($handle,filesize($this->__Filename)));
          @fclose($handle);
		  $r = $this->__ProdLeft - $r;
        }
      }
      else
        echo "The file is not readable.";
      return($r);
    }

    // Increment Counter
    function IncCount(){
      $r = 1;
      if(!file_exists($this->__Filename)){
        $handle = @fopen($this->__Filename, "w");
        @fwrite($handle, strval($r));
        @fclose($handle);
      }
      else{
        $handle = @fopen($this->__Filename, "r");
        $r = intval(@fread($handle,filesize($this->__Filename))) + 1;
        @fclose($handle);
        $handle = @fopen($this->__Filename, "w");
        @fwrite($handle, strval($r));
        @fclose($handle);
      }
    }

    // Write Script in the HTML Code
    function Write(){
      echo "<script>\r\n".
           "  <!--\r\n".
           "  var H = M = S = 0;\r\n".
           "  var Text ='';\r\n".
           "  var IdObject = IdCount = false;\r\n".
           "  var CountDownFrom = {$this->__Seconds};\r\n".
           "  var CurrentSecond = CountDownFrom + 1;\r\n".
           "\r\n\r\n".
           "function LZ(x){ return( x<0 || x>9 ? \"\" : \"0\" )+x}\r\n".
           "\r\n".
           "function CountRedirect(){\r\n".
           "  if (CurrentSecond!=1){\r\n".
           "    CurrentSecond -=1;\r\n".
           "    IdCount = document.getElementById(\"{$this->__CountTag}\")\r\n\r\n".
           "    if (IdCount != null)\r\n".
           "      IdCount.innerHTML = ".$this->GetCount().";\r\n".
           "    IdObject = document.getElementById(\"{$this->__TimeTag}\");\r\n".
           "    if(IdObject != null){\r\n".
           "      H = Math.floor(CurrentSecond/3600);\r\n".
           "      M = Math.floor((CurrentSecond%3600)/60);\r\n".
           "      S = Math.max(CurrentSecond-(H*3600)-(M*60),0);\r\n".
           "      if(H>0) Text = LZ(H)+':';\r\n".
           "      if(M>0) Text = Text + LZ(M)+':';\r\n".
           "      Text = Text + LZ(S);\r\n".
           "      IdObject.innerHTML = Text;\r\n".
           "      Text = '';\r\n".
           "    }\r\n".
           "  }\r\n".
           "  else{\r\n".
           "    window.location = \"{$this->__Url}\";\r\n".
           "    return;\r\n".
           "  }\r\n".
           "  setTimeout(\"CountRedirect()\",1000);\r\n".
           "}\r\n".
           "CountRedirect();\r\n".
           "//-->\r\n".
           "</script>\r\n";
    }
  }
?>
